List
List CometChat app users with REST API using pagination and filters for roles, tags, status, and search keywords.
Authorizations
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Query Parameters
The searchKey query parameter work for both name and uid: It performs a LIKE% query, searching for uid/name values starting with the specified characters.
Searches for specified keyword in name,UID or both.
name, uid User list can be fetched depending on the user status. Supports multiselect with comma-separated values (e.g., available,offline).
"available,offline"
Fetches users count.
Number of users to be fetched in a request. The default value is 100 and the maximum value is 1000.
Page Number.
Retrieves user list based on role.
Includes tags in the response.
Fetches only those users that have these tags.
Fetches users based on multiple roles.
Fetches all the deactivated users of an app.
Fetches all the users including deactivated users.
Filter by createdAt start timestamp (Unix timestamp). Filters records created on or after this timestamp. Can be used with createdAt[to] for a date range.
1738368000
Filter by createdAt end timestamp (Unix timestamp). Filters records created on or before this timestamp. Can be used with createdAt[from] for a date range.
1739059200
Filter by updatedAt start timestamp (Unix timestamp). Filters records updated on or after this timestamp. Can be used with updatedAt[to] for a date range.
1738368000
Filter by updatedAt end timestamp (Unix timestamp). Filters records updated on or before this timestamp. Can be used with updatedAt[from] for a date range.
1739059200